## beautifulsoup4 4.9.3

=== debian/changelog ===
beautifulsoup4 (4.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 07 Oct 2020 20:53:02 -0700

beautifulsoup4 (4.9.2-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Explicitly depend on python3-soupsieve. The python_version restriction
    causes dh_python3 to ignore the dependency.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 29 Sep 2020 11:45:22 -0700

=== debian/control ===
Source: beautifulsoup4
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all (>= 3.1.2),
 python3-html5lib <!nocheck>,
 python3-lxml <!nocheck>,
 python3-setuptools,
 python3-soupsieve <!nocheck>,
 python3-sphinx,
 python3-stemmer
Standards-Version: 4.5.0
Homepage: https://www.crummy.com/software/BeautifulSoup
Vcs-Git: https://salsa.debian.org/python-team/packages/beautifulsoup4.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/beautifulsoup4
Rules-Requires-Root: no

Package: python3-bs4
Architecture: all
Depends: python3-soupsieve, ${misc:Depends}, ${python3:Depends}
Recommends: python3-chardet, python3-lxml
Description: error-tolerant HTML parser for Python 3
 Beautiful Soup is a Python library for pulling data out of HTML and XML files.
 It works with your favorite parser to provide idiomatic ways of navigating,
 searching, and modifying the parse tree. It commonly saves programmers hours
 or days of work.
 .
 This package contains BeautifulSoup 4, for Python 3.x.

Package: python-bs4-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: error-tolerant HTML parser for Python - documentation
 Beautiful Soup is a Python library for pulling data out of HTML and XML files.
 It works with your favorite parser to provide idiomatic ways of navigating,
 searching, and modifying the parse tree. It commonly saves programmers hours
 or days of work.
 .
 This package contains BeautifulSoup's documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=bs4

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	python3 -m sphinx -aEN -b html -d build/doctrees doc/source build/html
	python3 -m sphinx -aEN -b html -D language=pt_BR -d build/doctrees.ptbr doc.ptbr/source build/html.ptbr
	python3 -m sphinx -aEN -b html -D language=ru_RU -d build/doctrees.ru doc.ru/source build/html.ru
	python3 -m sphinx -aEN -b html -D language=zh_CN -d build/doctrees.zh doc.zh/source build/html.zh

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_installchangelogs:
	dh_installchangelogs NEWS.txt

override_dh_installdocs:
	dh_installdocs -p python-bs4-doc --doc-main-package=python-bs4-doc
	dh_installdocs --remaining-packages

=== debian/tests/control ===
Tests: unittests3
Depends:
 python3-all,
 python3-bs4,
 python3-html5lib,
 python3-lxml,
 python3-nose (>= 1.3)

=== debian/watch ===
version=3
opts=uversionmangle=s/([ab]\d+)/~$1/ \
https://www.crummy.com/software/BeautifulSoup/bs4/download/(\d\.\d)/beautifulsoup4-([\d.abrc]+)\.tar\.gz

## beautifulsoup4 4.10.0

=== debian/changelog ===
beautifulsoup4 (4.10.0-2) unstable; urgency=medium

  * Replace nose with pytest (see: #997758).

 -- Stefano Rivera <stefanor@debian.org>  Sun, 24 Oct 2021 11:39:39 -0700

beautifulsoup4 (4.10.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #997146)
  * Add upstream metadata.
  * Switch watch file to PyPI, the author's home page is currently out of
    date.
  * Bump copyright years.
  * Adjust autopkgtest to handle bs4.tests not being shipped in the installed
    package.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Bump debhelper compat level to 13.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 23 Oct 2021 15:04:48 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all (>= 3.1.2),
  python3-html5lib <!nocheck>,
@@ -13,7 +13,7 @@
  python3-soupsieve <!nocheck>,
  python3-sphinx,
  python3-stemmer
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://www.crummy.com/software/BeautifulSoup
 Vcs-Git: https://salsa.debian.org/python-team/packages/beautifulsoup4.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/beautifulsoup4

=== debian/tests/control ===
Tests: unittests3
Depends:
 python3-all,
 python3-bs4,
 python3-html5lib,
 python3-pytest,
 python3-lxml

## beautifulsoup4 4.11.1

=== debian/changelog ===
beautifulsoup4 (4.11.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * python-bs4-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 29 Nov 2022 21:00:21 +0000

beautifulsoup4 (4.11.1-2) unstable; urgency=medium

  * Run autopkgtest outside the source tree, again. Dropped by mistake.
  * Apply <!nocheck> to more Build-Depends.
  * Support the nodoc build profile.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 15 Oct 2022 17:26:58 +0200

beautifulsoup4 (4.11.1-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Bump copyright years.
  * Document copyright of new files.
  * Build-Depend on python3-pytest, now used upstream.
  * Remove bs4.tests module hack from autopkgtest, the tests now use relative
    imports.
  * Run autopkgtest against the installed test modules.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-all.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 10 Apr 2022 22:34:36 -0400

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,16 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- python3-all (>= 3.1.2),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ python3-all,
  python3-html5lib <!nocheck>,
  python3-lxml <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-setuptools,
  python3-soupsieve <!nocheck>,
- python3-sphinx,
- python3-stemmer
+ python3-sphinx <!nodoc>,
+ python3-stemmer <!nocheck>
 Standards-Version: 4.6.0
 Homepage: https://www.crummy.com/software/BeautifulSoup
 Vcs-Git: https://salsa.debian.org/python-team/packages/beautifulsoup4.git
@@ -35,6 +38,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: error-tolerant HTML parser for Python - documentation
  Beautiful Soup is a Python library for pulling data out of HTML and XML files.
  It works with your favorite parser to provide idiomatic ways of navigating,

## beautifulsoup4 4.11.2

=== debian/changelog ===
beautifulsoup4 (4.11.2-2) unstable; urgency=medium

  * Provide a PyDist file that includes the bs4 alias, that some packages
    require.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 21 Feb 2023 14:35:03 -0400

beautifulsoup4 (4.11.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump copyright years.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 05 Feb 2023 19:10:28 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-soupsieve <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-stemmer <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.crummy.com/software/BeautifulSoup
 Vcs-Git: https://salsa.debian.org/python-team/packages/beautifulsoup4.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/beautifulsoup4

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,15 @@
 export PYBUILD_NAME=bs4
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	python3 -m sphinx -aEN -b html -d build/doctrees doc/source build/html
 	python3 -m sphinx -aEN -b html -D language=pt_BR -d build/doctrees.ptbr doc.ptbr/source build/html.ptbr
 	python3 -m sphinx -aEN -b html -D language=ru_RU -d build/doctrees.ru doc.ru/source build/html.ru
 	python3 -m sphinx -aEN -b html -D language=zh_CN -d build/doctrees.zh doc.zh/source build/html.zh
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean

## beautifulsoup4 4.12.2

=== debian/changelog ===
beautifulsoup4 (4.12.2-1) experimental; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 17 Apr 2023 12:55:24 -0400

beautifulsoup4 (4.12.1-1) experimental; urgency=medium

  * New upstream release.
  * Build with pybuild-plugin-pyproject.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 07 Apr 2023 10:10:17 -0400

beautifulsoup4 (4.12.0-1) experimental; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 25 Mar 2023 17:41:23 -0400

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
  dh-python,
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-hatchling,
  python3-html5lib <!nocheck>,
  python3-lxml <!nocheck>,
  python3-pytest <!nocheck>,
- python3-setuptools,
  python3-soupsieve <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-stemmer <!nocheck>

## beautifulsoup4 4.12.3

=== debian/changelog ===
beautifulsoup4 (4.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Offer python3-charset-normalizer as an alternative in Recommends.
  * Build Spanish docs.
  * Update copyright.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 21 Jan 2024 09:34:56 -0400

beautifulsoup4 (4.12.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 10 Jun 2023 16:42:38 -0400

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 Package: python3-bs4
 Architecture: all
 Depends: python3-soupsieve, ${misc:Depends}, ${python3:Depends}
-Recommends: python3-chardet, python3-lxml
+Recommends: python3-chardet | python3-charset-normalizer, python3-lxml
 Description: error-tolerant HTML parser for Python 3
  Beautiful Soup is a Python library for pulling data out of HTML and XML files.
  It works with your favorite parser to provide idiomatic ways of navigating,

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 execute_after_dh_auto_build:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	python3 -m sphinx -aEN -b html -d build/doctrees doc/source build/html
+	python3 -m sphinx -aEN -b html -D language=es_ES -d build/doctrees.es doc.es/source build/html.es
 	python3 -m sphinx -aEN -b html -D language=pt_BR -d build/doctrees.ptbr doc.ptbr/source build/html.ptbr
 	python3 -m sphinx -aEN -b html -D language=ru_RU -d build/doctrees.ru doc.ru/source build/html.ru
 	python3 -m sphinx -aEN -b html -D language=zh_CN -d build/doctrees.zh doc.zh/source build/html.zh

## beautifulsoup4 4.13.3

=== debian/changelog ===
beautifulsoup4 (4.13.3-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-typing-extensions (closes: #1100199).

 -- Colin Watson <cjwatson@debian.org>  Wed, 12 Mar 2025 17:10:03 +0000

beautifulsoup4 (4.13.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches, superseded upstream.
  * Update Sphinx doc source path.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 05 Feb 2025 13:13:59 -0400

beautifulsoup4 (4.12.3-3) unstable; urgency=medium

  * Patch: Support for lxml 5.3.0. Avoid triggering a DeprecationWarning that
    was failing tests. (Closes: #1079205)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 21 Aug 2024 17:41:44 +0200

beautifulsoup4 (4.12.3-2) unstable; urgency=medium

  * Patch: Support soupsieve 2.6.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 15 Aug 2024 23:24:05 +0200

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,11 @@
  python3-html5lib <!nocheck>,
  python3-lxml <!nocheck>,
  python3-pytest <!nocheck>,
- python3-soupsieve <!nocheck>,
+ python3-soupsieve (>= 2.6) <!nocheck>,
  python3-sphinx <!nodoc>,
- python3-stemmer <!nocheck>
-Standards-Version: 4.6.2
+ python3-stemmer <!nocheck>,
+ python3-typing-extensions <!nocheck>,
+Standards-Version: 4.7.0
 Homepage: https://www.crummy.com/software/BeautifulSoup
 Vcs-Git: https://salsa.debian.org/python-team/packages/beautifulsoup4.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/beautifulsoup4

## beautifulsoup4 4.13.4

=== debian/changelog ===
beautifulsoup4 (4.13.4-3) experimental; urgency=medium

  * Patch: Compatibility with libxml2 2.14.3, in tests. (LP: #2112242)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 09 Jun 2025 11:58:22 +0200

beautifulsoup4 (4.13.4-2) unstable; urgency=medium

  * Patch: Don't expect ParserRejectedMarkup to be raised any more.
    (Closes: #1106421)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 26 May 2025 14:58:25 +0200

beautifulsoup4 (4.13.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 20 Apr 2025 11:14:22 -0400

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-sphinx <!nodoc>,
  python3-stemmer <!nocheck>,
  python3-typing-extensions <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.crummy.com/software/BeautifulSoup
 Vcs-Git: https://salsa.debian.org/python-team/packages/beautifulsoup4.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/beautifulsoup4

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 execute_after_dh_auto_build:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	python3 -m sphinx -aEN -b html -d build/doctrees doc/source build/html
+	python3 -m sphinx -aEN -b html -d build/doctrees doc build/html
 	python3 -m sphinx -aEN -b html -D language=es_ES -d build/doctrees.es doc.es/source build/html.es
 	python3 -m sphinx -aEN -b html -D language=pt_BR -d build/doctrees.ptbr doc.ptbr/source build/html.ptbr
 	python3 -m sphinx -aEN -b html -D language=ru_RU -d build/doctrees.ru doc.ru/source build/html.ru

## beautifulsoup4 4.13.5

=== debian/changelog ===
beautifulsoup4 (4.13.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, superseded upstream.
  * Bump copyright years.
  * Update doc.es source directory.
  * Upstream no longer installs tests, copy them for execution.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 07 Sep 2025 18:43:03 +0200

beautifulsoup4 (4.13.4-4) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 16 Aug 2025 18:20:23 +0200

## beautifulsoup4 4.14.2

=== doc.es/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/BeautifulSoup.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/BeautifulSoup.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/BeautifulSoup"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/BeautifulSoup"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== doc.ptbr/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/BeautifulSoup.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/BeautifulSoup.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/BeautifulSoup"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/BeautifulSoup"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
beautifulsoup4 (4.14.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop redundant Rules-Requires-Root: no.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 01 Oct 2025 13:02:38 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
 Homepage: https://www.crummy.com/software/BeautifulSoup
 Vcs-Git: https://salsa.debian.org/python-team/packages/beautifulsoup4.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/beautifulsoup4
-Rules-Requires-Root: no
 
 Package: python3-bs4
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 execute_after_dh_auto_build:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	python3 -m sphinx -aEN -b html -d build/doctrees doc build/html
-	python3 -m sphinx -aEN -b html -D language=es_ES -d build/doctrees.es doc.es/source build/html.es
+	python3 -m sphinx -aEN -b html -D language=es_ES -d build/doctrees.es doc.es build/html.es
 	python3 -m sphinx -aEN -b html -D language=pt_BR -d build/doctrees.ptbr doc.ptbr/source build/html.ptbr
 	python3 -m sphinx -aEN -b html -D language=ru_RU -d build/doctrees.ru doc.ru/source build/html.ru
 	python3 -m sphinx -aEN -b html -D language=zh_CN -d build/doctrees.zh doc.zh/source build/html.zh

=== debian/tests/control ===
Tests: unittests3
Depends:
 python3-all,
 python3-bs4,
 python3-html5lib,
 python3-lxml,
 python3-pytest

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/beautifulsoup4/beautifulsoup4-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## beautifulsoup4 4.14.3

=== debian/changelog ===
beautifulsoup4 (4.14.3-2build1) resolute; urgency=medium

  * Rebuild to clear amd64v3 from FTBFS report

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Dec 2025 07:39:03 -0500

beautifulsoup4 (4.14.3-2) unstable; urgency=medium

  * Patch: Update numeric character reference handling to support Python
    3.13.11 and 3.14.2. (Closes: #1123099)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 17 Dec 2025 14:33:47 -0400

beautifulsoup4 (4.14.3-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.

  [ Alexandre Detiste ]
  * apply Multi-Arch: hint

 -- Stefano Rivera <stefanor@debian.org>  Mon, 01 Dec 2025 17:56:05 -0400

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
 
 Package: python3-bs4
 Architecture: all
+Multi-Arch: foreign
 Depends: python3-soupsieve, ${misc:Depends}, ${python3:Depends}
 Recommends: python3-chardet | python3-charset-normalizer, python3-lxml
 Description: error-tolerant HTML parser for Python 3
